Skip to main content
DELETE
/
invoice-dimensions
/
assignments
/
{id}
Dimensions-Zuweisung löschen
curl --request DELETE \
  --url https://api.comstruct.com/v1/invoice-dimensions/assignments/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.comstruct.com/v1/invoice-dimensions/assignments/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.comstruct.com/v1/invoice-dimensions/assignments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dimension_option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "text_value": "<string>",
  "invoice_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "invoice_account_index": 123,
  "invoice_id": 123,
  "invoice_line_item_index": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

API-Schlüssel zur Authentifizierung. Kontaktieren Sie Ihren Customer Success Manager, um einen API-Schlüssel zu erhalten.

Jeder Endpunkt erfordert spezifische Berechtigungen (Scopes); die erforderlichen Scopes werden pro Endpunkt angezeigt.

Path Parameters

id
string<uuid>
required

Response

Zuweisung gelöscht

id
string<uuid>
dimension_option_id
string<uuid> | null

Gesetzt bei Zuweisungen zu Options-Dimensionen; bei Freitext-Zuweisungen null.

dimension_id
string<uuid> | null

Dimension-UUID bei Freitext-Zuweisungen (type: text); sonst oft null oder redundant zur Option.

text_value
string | null

Freitextwert bei Text-Dimensionen; sonst null.

invoice_account_id
string<uuid> | null
invoice_account_index
integer | null

Index der Kontierung bei noch nicht gespeicherten Konten (temporäre IDs); alternativ zu invoice_account_id.

invoice_id
integer | null
invoice_line_item_index
integer | null
created_at
string<date-time>